Description
Associated revisions

Revision 17467 - 2018-08-09 13:49 - Go MAEDA

Mark default version in versions tab from project settings (#27799).

Patch by Marius BALTEANU.

History

#1 - 2018-01-09 14:26 - Toshi MARUYAMA

+1

#2 - 2018-01-12 06:39 - Marius BĂLTEANU

- File 27799_mark_default_version_in_versions_tab.patch added

It seems that I forgot to attach the patch. Here it is now with a small change (the Default version is the second column and not the 5th column like in

the print screen).

#3 - 2018-01-12 07:43 - Go MAEDA

It is a nice improvement to mark default version in the tab.

But I noticed while trying out the patch that edit version page does not have "Default version" checkbox. I am afraid that this may lead to confusion. If

the version list shows default version, a user who wants to set the other version as default will probably click "Edit" link in the list. But on the page to

edit version, there isn't "Default version" checkbox. To change default version, the correct page the user should go is "Project". It is confusing.

I think we should implement "Default version" checkbox on the edit page before merging this patch. But, for now, I have no idea to implement the

feature properly in shared versions.

#4 - 2018-01-14 16:42 - Marius BĂLTEANU

Go MAEDA wrote:

But I noticed while trying out the patch that edit version page does not have "Default version" checkbox. I am afraid that this may lead to

confusion. If the version list shows default version, a user who wants to set the other version as default will probably click "Edit" link in the list.

But on the page to edit version, there isn't "Default version" checkbox. To change default version, the correct page the user should go is

"Project". It is confusing.

 Agree with you, it may lead to confusion, but in the same time, the main reason for which I made the patch is to make a little bit more obvious to users

the "Default version" feature.

I think we should implement "Default version" checkbox on the edit page before merging this patch. But, for now, I have no idea to implement the

feature properly in shared versions.

 I'll take a look.

#5 - 2018-08-08 16:00 - Go MAEDA

- Target version set to 4.0.0

I pointed out some minor problems with the patch, but now I think the benefit of the patch more than offset those problems. I am setting target version
to 4.0.0.

#6 - 2018-08-09 13:50 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed. Thank you for improving Redmine.
